
singleton Material(van)
{
   mapTo = "van";
   diffuseMap[2] = "vehicles/van/van_c.dds";
   specularMap[2] = "vehicles/van/van_s.dds";
   normalMap[2] = "vehicles/van/van_n.dds";
   diffuseMap[1] = "vehicles/van/van_d.dds";
   specularMap[1] = "vehicles/van/van_s.dds";
   normalMap[1] = "vehicles/van/van_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_n.dds";
   //diffuseMap[3] = "vehicles/van/van_dirt.dds";
   //normalMap[3] = "vehicles/van/van_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_cargobox)
{
   mapTo = "van_cargobox";
   diffuseMap[1] = "vehicles/van/van_cargobox_d.dds";
   specularMap[1] = "vehicles/van/van_cargobox_s.dds";
   normalMap[1] = "vehicles/van/van_cargobox_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_cargobox_n.dds";
   //diffuseMap[3] = "vehicles/van/van_cargobox_dirt.dds";
   //normalMap[3] = "vehicles/van/van_cargobox_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_interior)
{
   mapTo = "van_interior";
   diffuseMap[0] = "van_interior_d.dds";
   specularMap[0] = "van_interior_s.dds";
   normalMap[0] = "van_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(van_gauges)
{
   mapTo = "van_gauges";
   diffuseMap[0] = "van_gauges_d.dds";
   specularMap[0] = "van_gauges_s.dds";
   normalMap[0] = "van_gauges_n.dds";
   specularPower[0] = "16";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(van_gauges_on)
{
   mapTo = "van_gauges_on";
   diffuseMap[1] = "van_gauges_g.dds";
   specularMap[1] = "van_gauges_s.dds";
   normalMap[1] = "van_gauges_n.dds";
   diffuseMap[0] = "van_gauges_d.dds";
   specularMap[0] = "van_gauges_s.dds";
   normalMap[0] = "van_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(van_seats)
{
   mapTo = "van_seats";
   diffuseMap[0] = "van_seats_d.dds";
   specularMap[0] = "van_seats_s.dds";
   normalMap[0] = "van_seats_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(van_glass)
{
   mapTo = "van_glass";
   diffuseMap[0] = "vehicles/van/van_glass_d.dds";
   specularMap[0] = "vehicles/van/van_glass_s.dds";
   diffuseMap[1] = "vehicles/van/van_glass_da.dds";
   specularMap[1] = "vehicles/van/van_glass_s.dds";
   //diffuseMap[2] = "vehicles/van/van_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_glass_dmg)
{
   mapTo = "van_glass_dmg";
   diffuseMap[0] = "vehicles/van/van_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/van/van_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_signal_L)
{
   mapTo = "van_signal_L";
};

singleton Material(van_signal_R)
{
   mapTo = "van_signal_R";
};

singleton Material(van_taillight)
{
   mapTo = "van_taillight";
};

singleton Material(van_taillight_L)
{
   mapTo = "van_taillight_L";
};

singleton Material(van_taillight_R)
{
   mapTo = "van_taillight_R";
};

singleton Material(van_headlight)
{
   mapTo = "van_headlight";
};

singleton Material(van_chmsl)
{
   mapTo = "van_chmsl";
};

singleton Material(van_reverselight)
{
   mapTo = "van_reverselight";
};

singleton Material(van_runninglight)
{
   mapTo = "van_runninglight";
};

singleton Material(van_runningbrakelight)
{
   mapTo = "van_runningbrakelight";
};

singleton Material(van_lights)
{
   mapTo = "van_lights";
   diffuseMap[1] = "vehicles/van/van_lights_d.dds";
   specularMap[1] = "vehicles/van/van_lights_s.dds";
   normalMap[1] = "vehicles/van/van_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_lights_n.dds";
   //diffuseMap[2] = "vehicles/van/van_lights_dirt.dds";
   //normalMap[2] = "vehicles/van/van_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_on)
{
   mapTo = "van_lights_on";
   diffuseMap[2] = "vehicles/van/van_lights_g.dds";
   specularMap[2] = "vehicles/van/van_lights_s.dds";
   normalMap[2] = "vehicles/van/van_lights_n.dds";
   diffuseMap[1] = "vehicles/van/van_lights_d.dds";
   specularMap[1] = "vehicles/van/van_lights_s.dds";
   normalMap[1] = "vehicles/van/van_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_lights_n.dds";
   //diffuseMap[3] = "vehicles/van/van_lights_dirt.dds";
   //normalMap[3] = "vehicles/van/van_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_on_intense)
{
   mapTo = "van_lights_on_intense";
   diffuseMap[2] = "vehicles/van/van_lights_g.dds";
   specularMap[2] = "vehicles/van/van_lights_s.dds";
   normalMap[2] = "vehicles/van/van_lights_n.dds";
   diffuseMap[1] = "vehicles/van/van_lights_d.dds";
   specularMap[1] = "vehicles/van/van_lights_s.dds";
   normalMap[1] = "vehicles/van/van_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_lights_n.dds";
   //diffuseMap[3] = "vehicles/van/van_lights_dirt.dds";
   //normalMap[3] = "vehicles/van/van_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_dmg)
{
   mapTo = "van_lights_dmg";
   diffuseMap[1] = "vehicles/van/van_lights_dmg_d.dds";
   specularMap[1] = "vehicles/van/van_lights_dmg_s.dds";
   normalMap[1] = "vehicles/van/van_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/van/van_lights_dirt.dds";
   //normalMap[2] = "vehicles/van/van_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//frame and running gear
singleton Material(pickup)
{
   mapTo = "pickup";
   //diffuseMap[2] = "vehicles/pickup/pickup_c.dds";
   //specularMap[2] = "vehicles/pickup/pickup_s.dds";
   //normalMap[2] = "vehicles/pickup/pickup_n.dds";
   diffuseMap[1] = "vehicles/pickup/pickup_d.dds";
   specularMap[1] = "vehicles/pickup/pickup_s.dds";
   normalMap[1] = "vehicles/pickup/pickup_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup/pickup_n.dds";
   //diffuseMap[3] = "vehicles/pickup/pickup_dirt.dds";
   //normalMap[3] = "vehicles/pickup/pickup_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "0.80 0.15 0.0 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//v8 engine
singleton Material(fullsize)
{
   mapTo = "fullsize";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_c.dds";
   //specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "0.06 0.08 0.22 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BKL_Passenger_Van_Material__928)
{
   mapTo = "Material__928";
   diffuseColor[0] = "0.588 0.588 0.588 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "1";
   translucentBlendOp = "None";
};
